Bug 109730 - etc/init.d/pcmcia fails on custom kernel and reports success
Summary: etc/init.d/pcmcia fails on custom kernel and reports success
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-11 15:02 UTC by Walter Neumann
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-07 18:32:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Walter Neumann 2003-11-11 15:02:20 UTC
Description of problem:

1. The etc/init.d/pcmcia script does not report errors if components
do not load. 

2. After building a custom kernel from Redhat source a directory 
/lib/modules/{release}/pcmcia (full of symlinks) is created. If this
directory exists then etc/init.d/pcmcia is unable to load modules but
reports no errors.

Version-Release number of selected component (if applicable):
2.4.20 series of kernels in Redhat 9

How reproducible: Consistently reproducible

Steps to Reproduce:
1. Make and install modular kernel from Redhat source
2. run /sbin/service pcmcia start
3.
  
Actual results: No error reported but modules fail to load

Expected results: Load the pcmcia modules (or report an error)

Additional info: Deleting /lib/modules/{release}/pcmcia directory
fixes the loading problem (but the pcmcia script should be fixed to
report errors anyway).

Comment 1 Bill Nottingham 2004-09-07 18:32:32 UTC
This is fixed in current builds.


Note You need to log in before you can comment on or make changes to this bug.